Commit 01aed783 authored by Yann Garcia's avatar Yann Garcia

Bug fixed in scripts/update_mec_project.bash

parent 4567be25
FROM stfubuntu:18.04
MAINTAINER ETSI TTF T0002
MAINTAINER ETSI TTF STF569
LABEL description="TTF0002 Docker Image"
LABEL description="STF569_Mec Docker Image"
ENV TERM=linux \
HOME=/home/etsi \
HOSTNAME=docker-titan-TTF0002
USER etsi
HOSTNAME=docker-titan-STF569
COPY home /home/etsi
RUN cd /home/etsi \
&& chown -R etsi:etsi . \
&& ls ./etc/init.d/*.sh | while read S; do chmod 0750 "$S" || exit 1; done
USER etsi
RUN cd ${HOME} \
sudo chown -R etsi:etsi ${HOME} \
&& export PATH=$HOME/bin:$PATH \
&& ls ${HOME}/etc/init.d/*.sh | while read S; do chmod 0750 "$S"; /bin/bash -c "$S" || exit 1; done
&& ls ${HOME}/etc/init.d/*.sh | while read S; do /bin/bash -c "$S" || exit 1; done
CMD ["/bin/bash"]
......
......@@ -7,10 +7,10 @@ set -vx
#check and build stfubuntu image
if [ -z `docker images -q stfubuntu` ]; then
docker build --tag stfubuntu:18.04 -f Dockerfile.stfubuntu --force-rm . || exit 1
docker build --no-cache --tag stfubuntu:18.04 -f Dockerfile.stfubuntu --force-rm . || exit 1
fi
docker build --tag stf569_mec --force-rm . || ( echo "Docker build failed: $?"; exit 1 )
docker build --no-cache --tag stf569_mec --force-rm . || ( echo "Docker build failed: $?"; exit 1 )
docker images
docker inspect stf569_mec:latest || ( echo "Docker inspect failed: $?"; exit 1 )
......
......@@ -4,9 +4,9 @@
set -vx
echo -e "*****************************\n* Install osip\n*****************************\n"
cd ${HOME}/frameworks
git clone https://github.com/fsismondi/ioppytest-utils ./ioppytest-utils
cd ./ioppytest-utils
cd ${HOME}/dev
git clone https://forge.etsi.org/rep/plugtests/nfv/ttcn-3-lewis-testing-tools.git ttcn-3-lewis-testing-tools
cd ./ttcn-3-lewis-testing-tools
pip3 install -r ./requirements.txt
cd ${HOME}
......
......@@ -8,6 +8,7 @@ cd /home/etsi/dev/STF569_Mec/ttcn
git clone https://forge.etsi.org/gitlab/LIBS/LibCommon.git ./LibCommon
git clone -bTTF0002 https://forge.etsi.org/gitlab/LIBS/LibIts ./LibIts
cd /home/etsi/dev/STF569_Mec/ttcn/LibIts
git checkout TTF0002
rm -fr asn1 t3q xsd
cd ttcn && rm -fr BTP CAM Common DENM GeoNetworking Ipv6OverGeoNetworking IVIM MapemSpatem Pki Security SremSsem
cd /home/etsi/dev/STF569_Mec/scripts
......
......@@ -14,16 +14,15 @@ RUN_PATH="${0%/*}"
if [ "${VALIDATION_DIR}" == "" ]
then
VALIDATION_DIR=${VALIDATION_DIR}
VALIDATION_DIR=${HOME}
fi
USER=`whoami`
CHOWN_USER_GROUP=${USER}:${USER}
SRC_MEC_PATH=${VALIDATION_DIR}/dev/STF569_Mec
if [ "${PATH_DEV_MEC}" == "" ]
then
PATH_DEV_MEC=${VALIDATION_DIR}/dev/etsi_mec
PATH_DEV_MEC=`pwd`/../etsi_mec
fi
echo ${PATH_DEV_MEC}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment